summaryrefslogtreecommitdiff
path: root/dev-python/mpmath
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-09-03 17:42:33 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-09-03 17:42:33 +0000
commitfed98e1bf9638a87f43a202be1a2090cc1d6e1b1 (patch)
treea22a57c6ce20344ee61392031f84b7b1803890d9 /dev-python/mpmath
parentf8a6ac6363b6b33f110321607c6ce1cd7db40760 (diff)
downloadbaldeagleos-repo-fed98e1bf9638a87f43a202be1a2090cc1d6e1b1.tar.gz
baldeagleos-repo-fed98e1bf9638a87f43a202be1a2090cc1d6e1b1.tar.xz
baldeagleos-repo-fed98e1bf9638a87f43a202be1a2090cc1d6e1b1.zip
Adding metadata
Diffstat (limited to 'dev-python/mpmath')
-rw-r--r--dev-python/mpmath/metadata.xml1
-rw-r--r--dev-python/mpmath/mpmath-1.2.1.ebuild8
2 files changed, 4 insertions, 5 deletions
diff --git a/dev-python/mpmath/metadata.xml b/dev-python/mpmath/metadata.xml
index ee3a0387477c..295c07d0e20d 100644
--- a/dev-python/mpmath/metadata.xml
+++ b/dev-python/mpmath/metadata.xml
@@ -16,4 +16,5 @@
<flag name="matplotlib">Add support for <pkg>dev-python/matplotlib</pkg></flag>
</use>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mpmath/mpmath-1.2.1.ebuild b/dev-python/mpmath/mpmath-1.2.1.ebuild
index 5c72dfd10cdb..15e8ff9caf95 100644
--- a/dev-python/mpmath/mpmath-1.2.1.ebuild
+++ b/dev-python/mpmath/mpmath-1.2.1.ebuild
@@ -14,8 +14,7 @@ SRC_URI="https://github.com/fredrik-johansson/${PN}/archive/${PV}.tar.gz -> ${P}
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
-IUSE="gmp matplotlib test"
-RESTRICT="!test? ( test )"
+IUSE="gmp matplotlib"
RDEPEND="
gmp? ( dev-python/gmpy[${PYTHON_USEDEP}] )
@@ -27,6 +26,7 @@ distutils_enable_tests pytest
src_configure() {
export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+ distutils-r1_src_configure
}
src_test() {
@@ -34,7 +34,5 @@ src_test() {
}
python_test() {
- pushd ${PN}/tests >/dev/null
- ${EPYTHON} runtests.py -local || die "Tests failed with ${EPYTHON}"
- popd >/dev/null
+ "${EPYTHON}" mpmath/tests/runtests.py -local || die "Tests failed with ${EPYTHON}"
}